Skip to main content
`Ctrl`+`K`

# DMPlexGetAnchors

Get the layout of the anchor (point-to-point) constraints. Typically, the user will not have to call DMPlexGetAnchors() directly: if there are anchors, then `DMPlexGetAnchors()` is called during `DMGetDefaultConstraints()`.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetAnchors(DM dm, PeOp PetscSection *anchorSection, PeOp IS *anchorIS)

Not Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameters

- anchorSection - If not `NULL`, set to the section describing which points anchor the constrained points.

- anchorIS - If not `NULL`, set to the list of anchors indexed by `anchorSection`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSetAnchors()`, `DMGetDefaultConstraints()`, `DMSetDefaultConstraints()`, `IS`, `PetscSection`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages